# Copyright (C) 2006, Augusto Ciuffoletti <augusto@di.unipi.it>
# $Revision: 1.3 $

use strict;
use Socket;
use peerdb;
my $port=9001;
my $peer_database=peerdb->new;

sub action {
    my ( $remote )  = @_;
    my ( $iaddr, $paddr );
    $iaddr   = inet_aton($remote)               || die "no host: $remote";
    $paddr   = sockaddr_in($port, $iaddr);
    
    print "Updating peer $remote db\n";
    socket(SOCK, PF_INET, SOCK_STREAM, getprotobyname('tcp'))  || die "socket: $!";
    connect(SOCK, $paddr)    || die "connect: $!";
	for my $p ( @{$peer_database->get_peers} ) { print SOCK $p->[0],"\n"; }
#    opendir (DIR,"/tmp");
#    while ( my $fn=readdir(DIR) ) {
#	if ( $fn=~/^(\d{1,3}?(\.\d{1,3}?){3}?)\.pub$/ ) { print SOCK $1,"\n"; }
#    }
    close (SOCK)            || die "close: $!";
    return;
}

